Package org.mozilla.classfile

## Class ClassFileWriter.ClassFileFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.mozilla.classfile.ClassFileWriter.ClassFileFormatException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    ClassFileWriter

      public static class ClassFileWriter.ClassFileFormatException
      extends java.lang.RuntimeException

  Thrown for cases where the error in generating the class file is due to a program size constraints rather than a likely bug in the compiler.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`